FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=5 OS_GIT_VERSION=4.3.5-202003020549-548c444 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=548c444c2f79454fa772e712cf07f0f6987ec92b SOURCE_GIT_TAG=v0.4.0-276-g548c444 SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher SOURCE_DATE_EPOCH=1571298624 OS_GIT_COMMIT=548c444 BUILD_VERSION=v4.3.5 BUILD_RELEASE=202003020549
WORKDIR /go/src/github.com/kubernetes-csi/external-attacher
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.5.20200302.063651
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=5 OS_GIT_VERSION=4.3.5-202003020549-548c444 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=548c444c2f79454fa772e712cf07f0f6987ec92b SOURCE_GIT_TAG=v0.4.0-276-g548c444 SOURCE_GIT_URL=https://github.com/openshift/csi-external-attacher SOURCE_DATE_EPOCH=1571298624 OS_GIT_COMMIT=548c444 BUILD_VERSION=v4.3.5 BUILD_RELEASE=202003020549
COPY --from=builder /go/src/github.com/kubernetes-csi/external-attacher/bin/csi-attacher /usr/bin/
ENTRYPOINT ["/usr/bin/csi-attacher"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External attacher for CSI volumes" \
        io.k8s.display-name="External attacher for CSI volumes" \
        io.openshift.tags="csi,storage,attacher" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-attacher" \
        com.redhat.component="csi-attacher-container" \
        version="v4.3.5" \
        release="202003020549" \
        io.openshift.build.commit.id="548c444c2f79454fa772e712cf07f0f6987ec92b" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-attacher" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-attacher/commit/548c444c2f79454fa772e712cf07f0f6987ec92b"

